Subject: Dos versions of Pine

From: Barry Landy <[email-masked]>
Date: Thu, 18 Jul 1996 15:26:35 +0100 (BST)

The DOS versions of Pine are becoming increasingly unusable. 

This is not a grumble, or a request for a bug fix, but a statement of
fact. Both the packet driver version of Pine 3.91 on desk top machines
and the LWP version of Pine 3.91 on our Novell lab network were just
usable in our environment, though there were quite a large number of
complaints because Pine tended to abort when faced with composing large
messages (it ran out of memory below 640).

The DOS versions of Pine 3.95, so far as I can see, are more or less
unusable. I have cleared out my below 640K to leave about 556K (the
necessary DOS stuff and TCPIP stack is taking up most of that the 90K
used). I can start Pine up, and read messages, but any attempt to
compose blows Pine out of the water after it copes with the To: line (ie
step 1!). 

(I'm OK, because I use OS/2 and can use either the OS/2 port or the
Windows port.)

I wonder in what environment the development team test it?

The purpose of this posting is to suggest one of three options as the
forward looking strategy:

a) To remove support for the pure DOS versions; thus from Pine 3.96 (or
maybe Pine 4.00) on there would be no DOS versions. 

b) Invest the effort in proper use of extended memory

c) Have a "lite" compile option which leaves out a number of advanced
features (newsgroups, for example) to cut down the compiled size of the
DOS versions so that the basic facilities could still be used.

-------------------------------------------------------------------------------
Barry Landy                        Computer Laboratory:+44 1223 334600
Head of Systems and Development    Direct line:        +44 1223 334713
University of Cambridge Computing Service
New Museums Site                   Email:[email-masked]
Pembroke Street, Cambridge CB2 3QG